<template>
  <v-app>
    <v-container class="main-container">
      <v-row>
        <v-col cols="12" md="6" class="p-0">
          <div class="gradienta-ix-kudzcczo-unsplash"></div>
        </v-col>
        <v-col cols="12" md="6" class="d-flex flex-column justify-center align-center">
          <div class="rectangle-2"></div>
          <v-sheet elevation="2" class="py-10 px-8">
            <h1 class="register-account">Register your account</h1>
            <v-form>
              <v-text-field
                label="Email"
                placeholder="Please enter your email"
                outlined
                class="mb-6"
              ></v-text-field>
              <v-text-field
                label="Password"
                placeholder="Please enter your password"
                type="password"
                outlined
                class="mb-6"
              ></v-text-field>
              <v-text-field
                label="Confirm Password"
                placeholder="Confirm your password"
                type="password"
                outlined
                class="mb-6"
              ></v-text-field>
              <v-btn color="primary" large @click="submit">
                Submit
              </v-btn>
            </v-form>
            <p class="already-registered mt-4">Already Registered?</p>
          </v-sheet>
          <p class="free-design mt-6">Hey!! This design is absolutely free for you.</p>
        </v-col>
      </v-row>
      <div class="free-code">Hey, you can take this<br />screen UI, CSS, Swift and <br />Android code for free</div>
    </v-container>
  </v-app>
</template>

<script setup lang="js">
function submit() {
  // Handle form submission
}
</script>

<style>
@import '~vuetify/dist/vuetify.min.css';

:root {
  --default-font-family: -apple-system, BlinkMacSystemFont, "Segoe UI", Roboto,
    Ubuntu, "Helvetica Neue", Helvetica, Arial, "PingFang SC",
    "Hiragino Sans GB", "Microsoft Yahei UI", "Microsoft Yahei",
    "Source Han Sans CN", sans-serif;
}

.main-container {
  overflow: hidden;
}

.gradienta-ix-kudzcczo-unsplash {
  width: 100%;
  height: 100%;
  background: url(../assets/6dbeca96-d790-4af1-a196-4c412276d0eb.png)
    no-repeat center;
  background-size: cover;
}

.rectangle-2 {
  background: #fffcfc;
  width: 100%;
  height: 100%;
}

.register-account {
  color: #3e4772;
  font-family: Poppins, var(--default-font-family);
  font-size: 60px;
  font-weight: 700;
  line-height: 90px;
  text-align: left;
}

.already-registered {
  color: #494f7a;
  font-family: Poppins, var(--default-font-family);
  font-size: 25px;
  font-weight: 400;
  text-align: left;
}

.free-design {
  color: rgba(0, 0, 0, 0.5);
  font-family: Poppins, var(--default-font-family);
  font-size: 20px;
  font-weight: 400;
  text-align: left;
}

.free-code {
  color: #fffcfc;
  font-family: Poppins, var(--default-font-family);
  font-size: 40px;
  font-weight: 700;
  line-height: 60px;
  text-align: center;
  position: absolute;
  width: 756px;
  height: 157px;
  top: 471px;
  left: 102px;
}
</style>
